Page MenuHomePhabricator

[wmf.2-regression] Help panel: the cog icon is misaligned
Closed, ResolvedPublic

Description

In testwiki the cog icon- oo-ui-icon-settings - is misaligned.

Note: The display issue is present on desktop and mobile (both Android and iOS).

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : wmf/1.35.0-wmf.2Remove `background` from settings button
oojs/ui : masterProcessDialog: Remove `margin-left` override from ActionWidget
mediawiki/extensions/GrowthExperiments : masterRemove `background` from settings button
oojs/ui : masterFix ActionWidget icon styling broken by 6689fe50461b

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2019, 11:18 PM

Regression rGOJU6689fe50461b: WikimediaUI theme: Use `px` instead of `em`s, which changed left: Nem; to margin-left: -Nem; for no apparent reason.

Change 543246 had a related patch set uploaded (by Catrope; owner: Catrope):
[oojs/ui@master] Fix ActionWidget icon styling broken by 6689fe50461b

https://gerrit.wikimedia.org/r/543246

Change 543250 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] ProcessDialog: Remove margin-left override from ActionWidget

https://gerrit.wikimedia.org/r/543250

Change 543254 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/GrowthExperiments@master] Remove background from settings button

https://gerrit.wikimedia.org/r/543254

Change 543246 abandoned by Catrope:
Fix ActionWidget icon styling broken by 6689fe50461b

Reason:
Superseded by https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/ /543254/

https://gerrit.wikimedia.org/r/543246

Catrope moved this task from Incoming to QA on the Growth-Team (Current Sprint) board.

Change 543254 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Remove background from settings button

https://gerrit.wikimedia.org/r/543254

Change 543261 had a related patch set uploaded (by Catrope; owner: VolkerE):
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.2] Remove background from settings button

https://gerrit.wikimedia.org/r/543261

Change 543250 merged by jenkins-bot:
[oojs/ui@master] ProcessDialog: Remove margin-left override from ActionWidget

https://gerrit.wikimedia.org/r/543250

Change 543261 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.2] Remove background from settings button

https://gerrit.wikimedia.org/r/543261

Mentioned in SAL (#wikimedia-operations) [2019-10-16T16:17:54Z] <catrope@deploy1001> Synchronized php-1.35.0-wmf.2/extensions/GrowthExperiments/: Fix help panel button alignment (T235578) (duration: 01m 02s)

Etonkovidova closed this task as Resolved.Oct 16 2019, 8:32 PM
Etonkovidova claimed this task.